aboutsummaryrefslogtreecommitdiff
path: root/.ci/.gitlab-ci-clang-build.sh
diff options
context:
space:
mode:
Diffstat (limited to '.ci/.gitlab-ci-clang-build.sh')
-rwxr-xr-x.ci/.gitlab-ci-clang-build.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/.ci/.gitlab-ci-clang-build.sh b/.ci/.gitlab-ci-clang-build.sh
new file mode 100755
index 0000000..1070365
--- /dev/null
+++ b/.ci/.gitlab-ci-clang-build.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+. ./.ci/.common.sh
+
+set -xe
+
+for source in "${BUILD_FILES[@]}"
+do
+ filename=$(basename -- "$source")
+ $CLANG $source $INCLUDE_DIRS $CXXARGS -c -o /tmp/"${filename%.*}.o"
+done